<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\Gateway\Model;

interface Payment_Type_Interface {

	public function configure_on_checkout();

	public function process_payment( Order_Data $order_data );

	public function order_received_actions(
		Order_Data $order_data
	);

	public function get_payment_uuid(): ?string;

	public function get_order_id(): int;

	public function get_payment_status(): ?string;

	public function get_provider_payment_id(): ?string;

	public function get_registered_at(): ?string;

	public function set_payment_status( string $payment_status );

	public function get_customer_error_message(): ?string;

}
